events.listen('jei.hide.items', function (event) {
  event.hide('cyclic:emerald_helmet')
  event.hide('cyclic:emerald_chestplate')
  event.hide('cyclic:emerald_leggings')
  event.hide('cyclic:emerald_boots')
  event.hide('cyclic:emerald_sword')
  event.hide('cyclic:emerald_pickaxe')
  event.hide('cyclic:emerald_shovel')
  event.hide('cyclic:emerald_axe')
  event.hide('cyclic:emerald_hoe')
  event.hide('byg:aspen_crafting_table')
  event.hide('byg:baobab_crafting_table')
  event.hide('byg:blue_enchanted_crafting_table')
  event.hide('byg:cherry_crafting_table')
  event.hide('byg:cika_crafting_table')
  event.hide('byg:cypress_crafting_table')
  event.hide('byg:ebony_crafting_table')
  event.hide('byg:fir_crafting_table')
  event.hide('byg:green_enchanted_crafting_table')
  event.hide('byg:holly_crafting_table')
  event.hide('byg:jacaranda_crafting_table')
  event.hide('byg:mahogany_crafting_table')
  event.hide('byg:mangrove_crafting_table')
  event.hide('byg:maple_crafting_table')
  event.hide('byg:pine_crafting_table')
  event.hide('byg:rainbow_eucalyptus_crafting_table')
  event.hide('byg:redwood_crafting_table')
  event.hide('byg:skyris_crafting_table')
  event.hide('byg:willow_crafting_table')
  event.hide('byg:witch_hazel_crafting_table')
  event.hide('byg:zelkova_crafting_table')
  event.hide('ringsofascension:ring_flight')
  event.hide('ringsofascension:ring_water_walking')
  event.hide('ringsofascension:ring_sponge')
  event.hide('ringsofascension:ring_hungerless')
  event.hide('ringsofascension:ring_undying')
  event.hide('immersiveengineering:ore_copper')
  event.hide('immersiveengineering:ingot_copper')
  event.hide('immersiveengineering:dust_copper')
  event.hide('immersiveengineering:nugget_copper')
  event.hide('immersiveengineering:storage_copper')
  event.hide('immersiveengineering:slab_storage_copper')
  event.hide('immersiveengineering:ore_aluminum')
  event.hide('immersiveengineering:ingot_aluminum')
  event.hide('immersiveengineering:dust_aluminum')
  event.hide('immersiveengineering:nugget_aluminum')
  event.hide('immersiveengineering:storage_aluminum')
  event.hide('immersiveengineering:slab_storage_aluminum')
  event.hide('immersiveengineering:ore_lead')
  event.hide('immersiveengineering:ingot_lead')
  event.hide('immersiveengineering:dust_lead')
  event.hide('immersiveengineering:nugget_lead')
  event.hide('immersiveengineering:storage_lead')
  event.hide('immersiveengineering:slab_storage_lead')
  event.hide('immersiveengineering:ore_silver')
  event.hide('immersiveengineering:ingot_silver')
  event.hide('immersiveengineering:dust_silver')
  event.hide('immersiveengineering:nugget_silver')
  event.hide('immersiveengineering:storage_silver')
  event.hide('immersiveengineering:slab_storage_silver')
  event.hide('immersiveengineering:ore_nickel')
  event.hide('immersiveengineering:ingot_nickel')
  event.hide('immersiveengineering:dust_nickel')
  event.hide('immersiveengineering:nugget_nickel')
  event.hide('immersiveengineering:storage_nickel')
  event.hide('immersiveengineering:slab_storage_nickel')
  event.hide('immersiveengineering:ore_uranium')
  event.hide('immersiveengineering:ingot_uranium')
  event.hide('immersiveengineering:dust_uranium')
  event.hide('immersiveengineering:nugget_uranium')
  event.hide('immersiveengineering:storage_uranium')
  event.hide('immersiveengineering:slab_storage_uranium')
  event.hide('silentgear:iron_rod')
  event.hide('mekanism:copper_ore')
  event.hide('mekanism:block_copper')
  event.hide('mekanism:ingot_copper')
  event.hide('mekanism:dust_copper')
  event.hide('mekanism:nugget_copper')
  event.hide('mekanism:tin_ore')
  event.hide('mekanism:block_tin')
  event.hide('mekanism:ingot_tin')
  event.hide('mekanism:dust_tin')
  event.hide('mekanism:nugget_tin')
  event.hide('mekanism:uranium_ore')
  event.hide('mekanism:block_uranium')
  event.hide('mekanism:ingot_uranium')
  event.hide('mekanism:dust_uranium')
  event.hide('mekanism:nugget_uranium')
  event.hide('mekanism:lead_ore')
  event.hide('mekanism:block_lead')
  event.hide('mekanism:ingot_lead')
  event.hide('mekanism:dust_lead')
  event.hide('mekanism:nugget_lead')
  event.hide('iceandfire:copper_ore')
  event.hide('iceandfire:copper_block')
  event.hide('iceandfire:copper_ingot')
  event.hide('iceandfire:copper_nugget')
  event.hide('iceandfire:silver_ore')
  event.hide('iceandfire:silver_block')
  event.hide('iceandfire:silver_ingot')
  event.hide('iceandfire:silver_nugget')
  event.hide('appliedenergistics2:iron_dust')
  event.hide('immersiveengineering:dust_iron')
  event.hide('mekanism:dust_iron')
  event.hide('mekanism:dust_gold')
  event.hide('immersiveengineering:dust_gold')
  event.hide('appliedenergistics2:gold_dust')
  event.hide('immersiveengineering:dust_steel')
  event.hide('mekanism:dust_steel')
  event.hide('immersiveengineering:storage_steel')
  event.hide('immersiveengineering:ingot_steel')
  event.hide('immersiveengineering:nugget_steel')
  event.hide('mekanism:block_steel')
  event.hide('mekanism:ingot_steel')
  event.hide('mekanism:nugget_steel')
  event.hide('mekanism:nugget_bronze')
  event.hide('mekanism:dust_bronze')
  event.hide('mekanism:ingot_bronze')
  event.hide('mekanism:block_bronze')
  event.hide('crossroads:ore_copper')
  event.hide('crossroads:ingot_copper')
  event.hide('crossroads:dust_copper')
  event.hide('crossroads:block_copper')
  event.hide('crossroads:nugget_copper')
  event.hide('crossroads:ore_tin')
  event.hide('crossroads:ingot_tin')
  event.hide('crossroads:dust_tin')
  event.hide('crossroads:nugget_tin')
  event.hide('crossroads:block_tin')
  event.hide('crossroads:ingot_bronze')
  event.hide('crossroads:block_bronze')
  event.hide('crossroads:nugget_bronze')
  event.hide('bno:aluminum_block')
  event.hide('bno:copper_block')
  event.hide('bno:lead_block')
  event.hide('bno:nickel_block')
  event.hide('bno:silver_block')
  event.hide('bno:tin_block')
  event.hide('bno:osmium_block')
  event.hide('bno:uranium_block')
  event.hide('bno:aluminum_ingot')
  event.hide('bno:copper_ingot')
  event.hide('bno:lead_ingot')
  event.hide('bno:nickel_ingot')
  event.hide('bno:silver_ingot')
  event.hide('bno:tin_ingot')
  event.hide('bno:osmium_ingot')
  event.hide('bno:uranium_ingot')
  event.hide('bno:aluminum_nugget')
  event.hide('bno:copper_nugget')
  event.hide('bno:lead_nugget')
  event.hide('bno:nickel_nugget')
  event.hide('bno:silver_nugget')
  event.hide('bno:tin_nugget')
  event.hide('bno:osmium_nugget')
  event.hide('silentgems:silver_ore')
  event.hide('silentgems:silver_block')
  event.hide('silentgems:silver_ingot')
  event.hide('silentgems:silver_nugget')
  event.hide('extradisks:256k_storage_part')
  event.hide('extradisks:1024k_storage_part')
  event.hide('extradisks:4096k_storage_part')
  event.hide('extradisks:16384k_storage_part')
  event.hide('extradisks:256k_storage_disk')
  event.hide('extradisks:1024k_storage_disk')
  event.hide('extradisks:4096k_storage_disk')
  event.hide('extradisks:16384k_storage_disk')
  event.hide('extradisks:16384k_fluid_storage_part')
  event.hide('extradisks:65536k_fluid_storage_part')
  event.hide('extradisks:262144k_fluid_storage_part')
  event.hide('extradisks:1048576k_fluid_storage_part')
  event.hide('extradisks:16384k_fluid_storage_disk')
  event.hide('extradisks:65536k_fluid_storage_disk')
  event.hide('extradisks:262144k_fluid_storage_disk')
  event.hide('extradisks:1048576k_fluid_storage_disk')
  event.hide('cyclic:crafting_stick')
  event.hide('cyclic:crafting_bag')
})